# Method: sellers.adUnits.list

- [HTTP request](https://developers.google.com/display-video/out-of-home-seller/reference/rest/v1/sellers.adUnits/list#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/display-video/out-of-home-seller/reference/rest/v1/sellers.adUnits/list#body.PATH_PARAMETERS)
- [Query parameters](https://developers.google.com/display-video/out-of-home-seller/reference/rest/v1/sellers.adUnits/list#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/display-video/out-of-home-seller/reference/rest/v1/sellers.adUnits/list#body.request_body)
- [Response body](https://developers.google.com/display-video/out-of-home-seller/reference/rest/v1/sellers.adUnits/list#body.response_body)
  - [JSON representation](https://developers.google.com/display-video/out-of-home-seller/reference/rest/v1/sellers.adUnits/list#body.ListAdUnitsResponse.SCHEMA_REPRESENTATION)
- [Authorization Scopes](https://developers.google.com/display-video/out-of-home-seller/reference/rest/v1/sellers.adUnits/list#body.aspect)
- [Examples](https://developers.google.com/display-video/out-of-home-seller/reference/rest/v1/sellers.adUnits/list#examples)

Lists ad units.

- For example GET /v1/sellers/seller111/adUnits
- Returns a list of ad units and a token to retrieve the next page if successful.
- Returns error code `PERMISSION_DENIED` if the user does not have access to the seller or seller id does not exist.
- Returns error code `INVALID_ARGUMENT` if sellers provide an invalid page size or page token.

### HTTP request

`GET https://dv360outofhomeseller.googleapis.com/v1/{parent=sellers/*}/adUnits`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The seller, which owns this collection of ad units. Format: sellers/{seller} |

### Query parameters

| Parameters ||
|---|---|
| `pageSize` | `integer` The maximum number of items to return. The service may return fewer than this value. Max allowed number of ad units is 1000; values above 1000 will be changed to 1000. If unspecified, at most 1000 ad units will be returned. |
| `pageToken` | `string` The nextPageToken value returned from a previous List request, if any. |
| `filter` | `string` The list filter. Currently supports external ID and state filtering, with the syntax: "externalId = \[EXTERNAL_ID\]" and "state = \[STATE\]". The logical operators AND and OR can be used to chain filters. AD_UNIT_STATE_DELETED cannot be used to show deleted ad units, use showDeleted instead. |
| `orderBy` | `string` The order by string used to specify the sort order of the results. Currently supports ordering by `https://developers.google.com/display-video/out-of-home-seller/reference/rest/v1/sellers.adUnits#AdUnit.FIELDS.update_time`, provide "updateTime" to get results sorted by updateTime in ascending order, or "updateTime desc" for descending order. |
| `showDeleted` | `boolean` Whether to return soft-deleted ad units. |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains data with the following structure:
Response message for InventoryService.ListAdUnits.

| JSON representation |
|---|
| ``` { "adUnits": [ { object (`https://developers.google.com/display-video/out-of-home-seller/reference/rest/v1/sellers.adUnits#AdUnit`) } ], "nextPageToken": string } ``` |

| Fields ||
|---|---|
| `adUnits[]` | ``object (`https://developers.google.com/display-video/out-of-home-seller/reference/rest/v1/sellers.adUnits#AdUnit`)`` The list of ad units. |
| `nextPageToken` | `string` A token to retrieve the next page of results. Pass this value in the `https://developers.google.com/display-video/out-of-home-seller/reference/rest/v1/sellers.adUnits/list#body.QUERY_PARAMETERS.page_token` field in the subsequent call to `adUnits.list` method to retrieve the next page of results. |

### Authorization Scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/doubleclickbidmanager`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).